/*
///////////////////////////////////////////////////////////////////////////////////////////////////
// Description : LinkDia.hpp
//   
// Dialog edition the ways
//
///////////////////////////////////////////////////////////////////////////////////////////////////
// 
//					
///////////////////////////////////////////////////////////////////////////////////////////////////
// Creation date: 21 jan 1997                        Author: J Thénoz
///////////////////////////////////////////////////////////////////////////////////////////////////
// Modification date:			                      Author: 
// 
//
// 
//
///////////////////////////////////////////////////////////////////////////////////////////////////
*/

//ANNECY Shaitan Nettoyage (12/05/98) {
/*

#ifndef __LinkDia_HPP__
#define __LinkDia_HPP__



/////////////////////////////////////////////////////////////////////////////
// DiaLink form view


class Link;


class DiaLink : public CFormView
{
protected:
	DiaLink();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(DiaLink);
	Link* m_poLink;	
	CDialog* m_pSpecificDialog;

	//{{AFX_DATA(DiaLink)
	enum { IDD = IDD_LINK_DIALOG };
	CString	m_szLinkName;
	CString	m_oSpeedMode;
	float	m_fSpeed1;
	float	m_fSpeed2;
	float	m_fSpeed3;
	//}}AFX_DATA

// Attributes
public:

// Operations
public:
	virtual void fn_vInitDialog (void);
	virtual void fn_vEdit (Link* poLink);
	BOOL fn_bIsEditLink (Link* poLink) { return m_poLink==poLink; }
	CString& fn_rGetTypeLink (void) { return m_szLinkName; }
	void fn_vChangeDialog (void);
	void fn_vSetDynParam (void);
	void fn_vDrawDynParamDialog (void);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DiaLink)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	void OnDestroy();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~DiaLink();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(DiaLink)
	afx_msg void OnSelchangeLinkCombo();
	afx_msg void OnSelchangeLinkSpeedCombo();
	afx_msg void OnKillfocusLinkSpeed1Edit();
	afx_msg void OnKillfocusLinkSpeed2Edit();
	afx_msg void OnKillfocusLinkSpeed3Edit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif

*/
//ENDANNECY Shaitan Nettoyage }
